Update Custom Integration
curl --request PUT \
--url https://control-plane.kubiya.ai/api/v1/custom-integrations/{integration_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"integration_type": "<string>",
"description": "<string>",
"config": {
"context_prompt": "Production PostgreSQL database. Use connection pooling.",
"env_vars": {
"DB_HOST": "postgres.prod.example.com",
"DB_NAME": "production",
"DB_PORT": "5432"
},
"files": [
{
"mode": "0600",
"path": "~/.postgresql/client.crt",
"secret_ref": "POSTGRES_CLIENT_CERT"
}
],
"secrets": [
"DB_PASSWORD",
"DB_SSL_CERT"
]
},
"tags": [
"<string>"
]
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/custom-integrations/{integration_id}"
payload = {
"name": "<string>",
"integration_type": "<string>",
"description": "<string>",
"config": {
"context_prompt": "Production PostgreSQL database. Use connection pooling.",
"env_vars": {
"DB_HOST": "postgres.prod.example.com",
"DB_NAME": "production",
"DB_PORT": "5432"
},
"files": [
{
"mode": "0600",
"path": "~/.postgresql/client.crt",
"secret_ref": "POSTGRES_CLIENT_CERT"
}
],
"secrets": ["DB_PASSWORD", "DB_SSL_CERT"]
},
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
integration_type: '<string>',
description: '<string>',
config: {
context_prompt: 'Production PostgreSQL database. Use connection pooling.',
env_vars: {DB_HOST: 'postgres.prod.example.com', DB_NAME: 'production', DB_PORT: '5432'},
files: [
{
mode: '0600',
path: '~/.postgresql/client.crt',
secret_ref: 'POSTGRES_CLIENT_CERT'
}
],
secrets: ['DB_PASSWORD', 'DB_SSL_CERT']
},
tags: ['<string>']
})
};
fetch('https://control-plane.kubiya.ai/api/v1/custom-integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"integration_type": "<string>",
"description": "<string>",
"status": "<string>",
"config": {},
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}custom-integrations
Update Custom Integration
Update a custom integration.
PUT
/
api
/
v1
/
custom-integrations
/
{integration_id}
Update Custom Integration
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Request to update a custom integration
Required string length:
1 - 255Required string length:
1 - 100Custom integration configuration
Show child attributes
Show child attributes
Example:
{
"context_prompt": "Production PostgreSQL database. Use connection pooling.",
"env_vars": {
"DB_HOST": "postgres.prod.example.com",
"DB_NAME": "production",
"DB_PORT": "5432"
},
"files": [
{
"mode": "0600",
"path": "~/.postgresql/client.crt",
"secret_ref": "POSTGRES_CLIENT_CERT"
}
],
"secrets": ["DB_PASSWORD", "DB_SSL_CERT"]
}
Custom integration status
Available options:
active, inactive, deleted Response
Successful Response
Custom integration response
Was this page helpful?
⌘I